#include <list>
#include <SDL/SDL.h>
#include "cPoint.hpp"
#include "cPomme.hpp"

#ifndef __CSERPENT__
	#define __CSERPENT__


class cSerpent {

	private :
		std::list<cPoint> serpent;		// liste des points constituant le corps
		SDL_Surface* pPoint;			// surface correspondant a un point du corps
		int direction;
		int agrandissement;
		cPomme pomme;

	public :
		cSerpent();

		void set_direction(int direction);

		void set_agrandissement(int agrandissement);
		int get_agrandissement();

		void affiche(SDL_Surface* pScreen);
		bool deplace();
		bool mangePomme();
		bool se_tue();


		~cSerpent();

};


#endif
